### Class

# Gtk BookmarkList

#### Description [src]

    final class Gtk.BookmarkList : GObject.Object
      implements Gio.ListModel {
      /* No available fields */
    }

`GtkBookmarkList` is a list model that wraps `GBookmarkFile`.

It presents a `GListModel` and fills it asynchronously with the `GFileInfo`s returned from that function.

The `GFileInfo`s in the list have some attributes in the recent namespace added: `recent::private` (boolean) and `recent:applications` (stringv).

#### Ancestors

- GObject

#### Implements

- GListModel

#### Constructors

###### gtk_bookmark_list_new

Creates a new `GtkBookmarkList` with the given `attributes`.

#### Instance methods

###### gtk_bookmark_list_get_attributes

Gets the attributes queried on the children.

###### gtk_bookmark_list_get_filename

Returns the filename of the bookmark file that this list is loading.

###### gtk_bookmark_list_get_io_priority

Gets the IO priority to use while loading file.

###### gtk_bookmark_list_is_loading

Returns `TRUE` if the files are currently being loaded.

###### gtk_bookmark_list_set_attributes

Sets the `attributes` to be enumerated and starts the enumeration.

###### gtk_bookmark_list_set_io_priority

Sets the IO priority to use while loading files.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GListModel (5)

###### g_list_model_get_item

Get the item at `position`.

###### g_list_model_get_item_type

Gets the type of the items in `list`.

###### g_list_model_get_n_items

Gets the number of items in `list`.

###### g_list_model_get_object

Get the item at `position`.

###### g_list_model_items_changed

Emits the `GListModel::items-changed` signal on `list`.

#### Properties

###### Gtk.BookmarkList:attributes

The attributes to query.

###### Gtk.BookmarkList:filename

The bookmark file to load.

###### Gtk.BookmarkList:io-priority

Priority used when loading.

###### Gtk.BookmarkList:item-type

The type of items. See `g_list_model_get_item_type()`.

since: 4.8

###### Gtk.BookmarkList:loading

`TRUE` if files are being loaded.

###### Gtk.BookmarkList:n-items

The number of items. See `g_list_model_get_n_items()`.

since: 4.8

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GListModel (1)

###### GListModel::items-changed

This signal is emitted whenever items were added to or removed from `list`. At `position`, `removed` items were removed and `added` items were added in their place.

#### Class structure

    struct GtkBookmarkListClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.